﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;
using Stimulsoft.Report.Viewer;

namespace StimulsoftRefreshIssu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private StiReport rep;
        private StiWpfViewerControl wpfViewerControl;
        public MainWindow()
        {
            InitializeComponent();

            rep = new StiReport();
            rep.LoadFromUrl(".\\report.mrt");
             rep.Compile();
            rep.RenderWithWpf(false);

            wpfViewerControl = new StiWpfViewerControl();
            ReportViewerSpace.Content = wpfViewerControl;

            wpfViewerControl.Report = rep;
            wpfViewerControl.Refresh();

            this.landscapeButt.Click += new RoutedEventHandler(landscapeButt_Click);
        }

        void landscapeButt_Click(object sender, RoutedEventArgs e)
        {
            rep.Pages[0].Orientation = Stimulsoft.Report.Components.StiPageOrientation.Landscape;
            rep.Compile();
            rep.RenderWithWpf(false);
        }
    }
}
